Package Details: cog 0.12.3-1

Git Clone URL: https://aur.archlinux.org/cog.git (read-only, click to copy)
Package Base: cog
Description: WPE launcher and webapp container
Upstream URL: https://github.com/Igalia/cog
Keywords: launcher webkit wpe
Licenses: custom:MIT
Conflicts: cog-git
Submitter: aperez
Maintainer: aperez
Last Packager: aperez
Votes: 0
Popularity: 0.000000
First Submitted: 2019-01-05 21:57 (UTC)
Last Updated: 2022-03-24 14:49 (UTC)

Latest Comments

aperez commented on 2021-11-24 20:28 (UTC)

@webreflection: Build issues should be now fixed with the update to 0.12.0—I hope that helps!

webreflection commented on 2021-11-24 09:27 (UTC) (edited on 2021-11-24 09:28 (UTC) by webreflection)

FYI: this package has issues on Raspberry Pi Zero 2 W where wpewebkit doesn't work at all and cog fails to build, saying missing dependency on lib-wpewebkit or something similar. To make it work I had to use wpewebkit-bin and cog-wpe-bin (soon to be renamed as cog-bin I guess) but while I have tried on the Zero 2 64 bit only, I think the current "duo" fails on Raspberry Pi 4 too.

It used to work without issues no more than a month ago.

aperez commented on 2021-07-16 07:57 (UTC)

@sotitrox: You may need to pass a --platform=<name> argument in the command line when running cog. For example use --platform=fdo (or --platform=gtk4) when running inside a Wayland compositor, or --platform=x11 under X.

sotitrox commented on 2021-07-15 17:50 (UTC)

wpe: could not load the impl library. Is there any backend installed?: libWPEBackend-default.so: cannot open shared object file: No such file or directory

get this problem when I try to launch

stuartiannaylor commented on 2019-05-02 22:06 (UTC)

==> Validating source files with md5sums... cog-0.2.0.tar.xz ... Passed cog-0.2.0.tar.xz.asc ... Skipped ==> Validating source files with sha1sums... cog-0.2.0.tar.xz ... Passed cog-0.2.0.tar.xz.asc ... Skipped ==> Validating source files with sha256sums... cog-0.2.0.tar.xz ... Passed cog-0.2.0.tar.xz.asc ... Skipped ==> Verifying source file signatures with gpg... cog-0.2.0.tar.xz ... FAILED (unknown public key 91C559DBE4C9123B) ==> ERROR: One or more PGP signatures could not be verified!

aperez commented on 2019-01-16 11:34 (UTC)

@wallace11: Try installing the wpebackend-fdo package, and use cog --platform=fdo ... to run Cog in a Wayland compositor.

wallace11 commented on 2019-01-14 07:38 (UTC)

Getting the following error upon installation:

wpe: could not load the impl library. Is there any backend installed?: libWPEBackend-default.so: cannot open shared object file: No such file or directory

Tried to dig in a little bit but couldn't find the source of the problem :\

Confirmed on two different machines.